"use client"

import Image from "@/components/Image"
import Button from "@/components/TempDesignSystem/Button"

import styles from "./btn.module.css"

export default function MembershipCardButton() {
  function handleShowMembershipCard() {
    console.log(`Showing membership card`)
  }
  return (
    <Button
      className={styles.membershipBtn}
      onClick={handleShowMembershipCard}
      type="button"
    >
      <span>Membership Card</span>
      <Image alt="QR icon" height={20} src="/_static/icons/qr.svg" width={20} />
    </Button>
  )
}
